/** @type OptionsManager */
var optsManager = new OptionsManager();

// Saves options to chrome.storage
function saveOptions() {
	var organizationDirectAccessSecretKey = document.getElementById('organizationDirectAccessSecretKey').value;

	optsManager.extensionOptions.organizationDirectAccessSecretKey = organizationDirectAccessSecretKey;
	optsManager.save(function () {
		var status = document.getElementById('status');
		status.style.display = 'block';
		setTimeout(function() {
			status.style.display = 'none';
			window.close();
		}, 1000);
	});
}

function restoreOptions() {
	optsManager.read(
		function(items) {
			document.getElementById('organizationDirectAccessSecretKey').value = items.organizationDirectAccessSecretKey;
		}
	);
}

document.addEventListener('DOMContentLoaded', restoreOptions);
document.getElementById('save').addEventListener('click',
	saveOptions);
