$(document).ready(function()
{
	chrome.storage.local.get(['extStatus'], function(items)
	{
		if(items.extStatus == 'on')
		{
			var extHelper = new ExtensionHelper();

			function generateBlock()
			{
				var template = '<style> ' +
					'@font-face { ' +
					'font-family: icomoon;' +
					'src:  url("chrome-extension://'  + chrome.runtime.id +  '/fonts/icomoon.eot?nkun4");' +
					'src:  url("chrome-extension://'  + chrome.runtime.id +  '/fonts/icomoon.eot?nkun4#iefix") format("embedded-opentype"),' +
					'url("chrome-extension://'  + chrome.runtime.id +  '/fonts/icomoon.ttf?nkun4") format("truetype"),' +
					'url("chrome-extension://'  + chrome.runtime.id +  '/fonts/icomoon.woff?nkun4") format("woff"),' +
					'url("chrome-extension://'  + chrome.runtime.id +  '/fonts/icomoon.svg?nkun4#icomoon") format("svg");' +
					'font-weight: normal;' +
					'font-style: normal;' +
					'font-display: swap;}' +
					'</style> \n';
				template += '<div id="otmClientInfoWrapper" class="otm-client-info__wrapper">';
				template += '<div class="js-otm-client-enabled hide">';
				template += '<h1 class="title">Информация о клиенте</h1>';
				template += '<div class="otm-client-info js-otm-client-info hide">';
				template +=
					'<div class="js-visitor-contact hide client-details__data"></div> ';
				template +=
					'<div><span class="client-details__heading">ФИО:</span> <br/> <div id="otmClientName" class="client-details__data">Нет данных</div></div> ';
				template +=
					'<div><span class="client-details__heading">Статус:</span> <br/> <div id="otmClientStatus" class="client-details__data">Нет данных</div></div> ';
				template +=
					'<div><span class="client-details__heading">E-mail:</span> <br/> <div id="otmClientEmail" class="client-details__data">Нет данных</div></div> ';
				template +=
					'<div><span class="client-details__heading">Депозит:</span> <br/> <div id="otmClientDeposit" class="client-details__data">Нет данных</div></div> ';
				template +=
					'<div><span class="client-details__heading">Долг:</span> <br/> <div id="otmClientDebt" class="client-details__data">Нет данных</div></div> ';
				template +=
					'<div><span class="client-details__heading">Возраст:</span> <br/> <div id="otmClientAge" class="client-details__data">Нет данных</div></div> ';
				template +=
					'<div><span class="client-details__heading">История комментариев:</span> <br/> <div id="otmClientAddInfo" class="client-details__data">Нет данных</div></div> ';
				template +=
					'<div><span class="client-details__heading">Последнее посещение:</span> <br/> <div id="otmClientLastVisitDate" class="client-details__data">Нет данных</div></div> ';
				template +=
					'<div><span class="client-details__heading">Активные брони:</span> <br/> <div id="otmClientActiveReservations" class="client-details__data">Нет данных</div></div> ';
				template +=
					'<div><span class="client-details__heading">Активные абонементы:</span> <br/> <div id="otmClientActiveTickets" class="client-details__data">Нет данных</div></div> ';
				template += '</div>';
				template += '<div class="js-otm-client-not-found otm-client-info hide">' +
					'<div><span class="client-details__heading">Клиент не найден</span></div>' +
					'</div>';
				template +=
					'<div class="js-add-client-btn add-client-btn__container hide">' +
					'<a class="btn btn--add margin-bottom-5px js-add-visitor" ' +
					'href="" target="_blank">' +
					'<span>Добавить посетителя</span></a>' +
					'<a class="btn btn--add margin-bottom-5px js-add-lead" ' +
					'href="" target="_blank">' +
					'<span>Добавить лида</span></a></div>';
				template += '</div>';
				template += '<div class="js-otm-client-not-enabled hide">';
				template += '<h1>Неверный секретный ключ либо не подключен модуль.</h1>';
				template += '</div>';
				template +=
					'<div class="js-loader loader hide"><div class="lds-roller"><div></div><div></div><div></div><div></div><div></div><div></div><div></div><div></div></div></div>';
				template += '<div class="copyright"><a href="//otmechalka.com" target="_blank"><img src="chrome-extension://' + chrome.runtime.id + '/logo.png"></a><span>Разработано Отмечалка CRM</span></div>';
				template += '</div>';
				$(document.body).append(template);
			}

			function startLoadClientInfo(phone)
			{
				var baseUrl = extHelper.getBaseUrl();
				var name = $('#otmClientName');
				var status = $('#otmClientStatus');
				var commonEls = {
					email: $('#otmClientEmail'),
					deposit: $('#otmClientDeposit'),
					debt: $('#otmClientDebt')
				};
				var addInfo = $('#otmClientAddInfo');
				var lastVisitDate = $('#otmClientLastVisitDate');
				var activeReservations = $('#otmClientActiveReservations');
				var activeTickets = $('#otmClientActiveTickets');
				var age = $('#otmClientAge');
				var visitorContact = $('.js-visitor-contact ');
				var organizationDirectAccessSecretKey = '';
				chrome.storage.local.get(['organizationDirectAccessSecretKey'], function(result)
				{
					extHelper.loaderShow();
					extHelper.clientInfoHide();
					extHelper.clientNotFoundHide();
					extHelper.clientPhone = phone;
					organizationDirectAccessSecretKey = result.organizationDirectAccessSecretKey;
					$.ajax(
						{
							type: "GET",
							url: baseUrl + '/extension/' + organizationDirectAccessSecretKey +
							'/visitor/searchonebyphonewhatsapp/phone/' + phone,
							dataType: 'html'
						}).then(
						function(data)
						{
							var startStr = '##!!##';
							data = JSON.parse(data.substr(startStr.length));
							visitorContact.hide();
							visitorContact.html('');
							if(data)
							{
								extHelper.setSubdomain(data.subdomain);
							}
							extHelper.resetAddUserBtnLink();

							if(data.client)
							{
								$('.js-add-client-btn').hide();

								if(data.client.visitorContact)
								{
									startStr = 'Данный клиент ';

									if(data.client.visitorContact['name'].trim() || data.client.visitorContact['lastName'].trim() || data.client.visitorContact['middleName'].trim())
									{
										startStr = '<strong>' + data.client.visitorContact['lastName'] + ' ' + data.client.visitorContact['name'] + ' ' + data.client.visitorContact['middleName'] + '</strong> ';
									}
									var clientStr = 'является представителем посетителя ' + '<strong>' + data.client.visitor['lastName'] + ' ' + data.client.visitor['name'] + ' ' + data.client.visitor['middleName'] + '</strong>';

									var str = startStr + clientStr;
									visitorContact.html(str);
									visitorContact.show();
								}

								if(data.client.visitor)
								{
									name.html('<a href="' + extHelper.getFullOrgUrl() +  '/visitor/profile/visitorId/' + data.client.visitor['id'] + '/profileTab/profile' + '" target="_blank">' +
										data.client.visitor['lastName'] + ' ' + data.client.visitor['name'] + ' ' +
										data.client.visitor['middleName'] + '</a>' + ' <strong>(посетитель)</strong> ');

									if(data.client.visitor['visitorStatusName'])
									{
										status.html('<div class="status-block"><span class="status-color" style="background-color: ' + data.client.visitor['visitorStatusColor'] + '"></span><span>' + data.client.visitor['visitorStatusName'] + '</span></div>');
									}
									else
									{
										status.html('Нет данных');
									}

									setCommonClientInfo(data.client.visitor, commonEls);

									if(data.client.visitor['birthDate'])
									{
										age.html('<span>' +
											extHelper.sToDate(data.client.visitor['birthDate']) +
											' (' + data.client.ageYearsStr + ', ' +
											data.client.visitor['ageMonthes'] + 'мес.)' +
											'</span>');
									}
									else
									{
										age.html('Нет данных')
									}
								}
								else
								{
									name.html('<a href="' + extHelper.getFullOrgUrl() +  '/lead/addedit/id/' + data.client.lead['id'] + '" target="_blank">' +
										data.client.lead['lastName'] + ' ' + data.client.lead['name'] + ' ' +
										data.client.lead['middleName'] + '</a>' + ' <strong>(лид)</strong> ');

									if(data.client.lead['leadStatusName'])
									{
										status.html('<div class="status-block"><span class="status-color" style="background-color: ' + data.client.lead['leadStatusColor'] + '"></span><span>' + data.client.lead['leadStatusName'] + '</span></div>');
									}
									else
									{
										status.html('Нет данных');
									}

									if(data.client.lead['birthDate'])
									{
										age.html('<span>' +
											extHelper.sToDate(data.client.lead['birthDate']) +
											'</span>');
									}
									else
									{
										age.html('Нет данных')
									}

									setCommonClientInfo(data.client.lead, commonEls);
								}

								if(data.client.addInfo.length > 0)
								{
									var addInfoStr = '';
									data.client.addInfo.forEach(function(el)
									{
										addInfoStr += '<div class="comment--single">' +
											'<div class="comment__wrapper">' +
											'<span class="comment--date">' + extHelper.sToDate(el['creationDate']) + (el['isPin'] == 1 ? '<span class="icon icon-pin comment--pin"></span>' : '') + '</span>' +
											'<span class="comment--author">' + (el['employeeShortName'] ? el['employeeShortName'] : '') + ':</span>' +
											'<em class="comment--text">' + el['text'] + '</em>' +
											'</div>' +
											'</div>'
									});
									addInfo.html(addInfoStr);
								}
								else
								{
									addInfo.html('Нет данных');
								}

								if(data.client.lastVisitDate)
								{
									lastVisitDate.html(data.client.lastVisitDate);
								}
								else
								{
									lastVisitDate.html('Нет данных');
								}

								if(data.client.reservations && (data.client.reservations.length > 0))
								{
									var reservationsList = '';
									data.client.reservations.forEach(function(reservation)
									{
										reservationsList += '<div class="reservations__wrapper" style="background-color: ' + reservation['backgroundColor'] + '; color: ' + reservation['textColor'] + ';">';
										reservationsList += '<div class="reservation__left">' +
											'<span class="reservation__row">' + extHelper.dayOfTheWeekFormat(parseInt(reservation['weekDay'])) +'</span>' +
											'<span class="reservation__row">' + extHelper.sToDate(reservation['startDate']) + '</span>' +
											'<span class="underline">' + extHelper.sToTime(reservation['startTime']) + '-' + extHelper.sToTime(reservation['endTime']) + '</span>' +
											'</div>';
										reservationsList += '<div class="reservation__right">' +
											'<span class="reservation__row">' + reservation['groupName'] + '-' + reservation['course'] + '</span>' +
											'<span>' + reservation['teachers'] + '</span>' +
											'</div>';
										reservationsList += '</div>'
									});
									activeReservations.html(reservationsList);
								}
								else
								{
									activeReservations.html('Нет данных');
								}

								if(data.client.tickets && data.client.tickets.length > 0)
								{
									var ticketsTemplate = '';
									data.client.tickets.forEach(function(ticket)
									{
										ticketsTemplate +=
											'<tr class="client-data__table-heading">' +
											'<td colspan="2" style="text-align: center;">' +
											ticket['ticketTypeName'] + '</td>' +
											'</tr>';
										ticketsTemplate += '<tr>' +
											'<td class="table__fields">Филиал</td>' +
											'<td>' + ticket['branchOfficesNames'] + '</td>' +
											'</tr>';
										ticketsTemplate +=
											'<tr>' +
											'<td class="table__fields">Занятий осталось/ <br/> всего</td>' +
											'<td>' +
												(ticket['ticketVisitsCount'] > 0
													? ticket['leftVisitsCount'] + '/' + ticket['ticketVisitsCount']
													: '&infin;/&infin;') + '</td>' +
											'</tr>';
										ticketsTemplate +=
											'<tr>' +
											'<td class="table__fields">Срок действия</td>' +
											'<td>' +
												((parseInt(ticket['expDate']) == 0 && parseInt(ticket['startDate']) != 0)
													? 'Не ограничено'
													: ticket['ticketTermStr']) +
											'</td>' +
											'</tr>';
										ticketsTemplate +=
											'<tr>' +
											'<td class="table__fields">Действителен <br/> с-по</td>' +
											'<td>' +
												(ticket['startDate'] == 0
													? '?'
													: extHelper.sToDate(parseInt(ticket['startDate']) + parseInt(ticket['timeZone']) + 3600)) +
												' - ' +
												(ticket['expDate'] == 0
													? '&infin;'
													: extHelper.sToDate(parseInt(ticket['expDate']) + parseInt(ticket['timeZone']) + 3600)) +
											'</td>' +
											'</tr>';
									});
									var ticketsTable = '<table class="client-data__table">' + ticketsTemplate +
										'</table>';
									activeTickets.html(ticketsTable);
								}
								else
								{
									activeTickets.html('Нет данных');
								}
								extHelper.clientInfoShow();
							}
							else
							{
								extHelper.generateAddUserBtnLink();
								extHelper.clientNotFoundShow();
/*
								name.html('Нет даных');
								status.html('Нет даных');
								commonEls.email.html('Нет даных');
								commonEls.deposit.html('Нет даных');
								commonEls.debt.html('Нет даных');
								age.html('Нет даных');
								addInfo.html('Нет даных');
								lastVisitDate.html('Нет даных');
								activeReservations.html('Нет даных');
								activeTickets.html('Нет даных');
*/
							}
							extHelper.loaderHide();
						},
						function()
						{
							extHelper.notEnabledHtml();
							extHelper.loaderHide();
						}
					);
				})
			}

			function setCommonClientInfo(clientInfo, elements)
			{
				if(clientInfo['email'])
				{
					elements.email.html(clientInfo['email'])
				}
				else
				{
					elements.email.html('Нет данных');
				}

				if(clientInfo['balance'])
				{
					elements.deposit.html(parseFloat(clientInfo['balance']).toFixed(2));
				}
				else
				{
					elements.deposit.html('Нет данных');
				}

				if(clientInfo['debtAmount'])
				{
					elements.debt.html(parseFloat(clientInfo['debtAmount']).toFixed(2));
				}
				else
				{
					elements.debt.html('Нет данных');
				}
			}

			function checkForEnabledAndGenerateHtml()
			{
				var baseUrl = extHelper.getBaseUrl();
				var moduleEnabledCheckUrl = '/module/isenabledwhatsappext';

				chrome.storage.local.get(['organizationDirectAccessSecretKey'], function(result)
				{
					extHelper.loaderShow();
					$.ajax({
						type: 'GET',
						url: baseUrl + '/extension/' + result.organizationDirectAccessSecretKey +
						moduleEnabledCheckUrl,
						dataType: 'html'
					}).then(
						function(data)
						{
							data = JSON.parse(data);
							extHelper.isModuleEnabled = data['isEnabled'];
							if(data['ok'] && data['isEnabled'])
							{
								extHelper.enabledHtml();
							}
							else
							{
								extHelper.notEnabledHtml();
							}
							extHelper.loaderHide();
						},
						function()
						{
							extHelper.notEnabledHtml();
							extHelper.loaderHide();
						})
				});
			}

			// var outerContainer = null;

			function dataLoadHandler(e)
			{
				// initOuterContainer();

				if(extHelper.isModuleEnabled)
				{
					var mainHeader = $('#main header');
					if(e.target.closest('#pane-side') && mainHeader.is(':visible'))
					{
						// outerContainer.attrchange('reconnect');
						setTimeout(function()
						{
							mainHeader.find('[role="button"]').eq(0).trigger('click');

							setTimeout(function()
							{
								var phoneCandidats = $('.copyable-area .selectable-text');
								// console.log('[phoneCandidats]', phoneCandidats);

								var phone = null;
								var phoneContainingEl = null;
								for(var i = phoneCandidats.length - 1; i >= 0; i--)		// go from last to first, because phone number usualy at the end of found elements
								{
									var phoneCandidat = phoneCandidats.eq(i).html();
									phone = phoneCandidat.match(/\+[\d \-\(\)]{10,18}/g);
									if(phone != null)
									{
										phone = phone[0].replace(/\D/g, '');
										startLoadClientInfo(phone);
										phoneContainingEl = phoneCandidats.eq(i);
										break;
									}
								}

								if(phone)
								{
									var closeBtn = phoneContainingEl.closest('.copyable-area').find('header [role="button"]').eq(0);
									closeBtn.trigger('click');
									// outerContainer.removeClass('three').addClass('two');
								}
								// outerContainer.attrchange('disconnect');
							}, 450);

						}, 200);
					}
				}
			}

			$(document.body).on('click', function(e)
			{
				dataLoadHandler(e);
			});
			/*
			function initOuterContainer()
			{
				if(outerContainer == null)
				{
					outerContainer = $('#app').find('.two').eq(0);
					if(outerContainer.length == 0)
					{
						outerContainer = null;
					}
					else
					{
						outerContainer.attrchange({
							trackValues: true, // set to true so that the event object is updated with old & new values
							callback: function(evnt)
							{
								// console.log('!!!! attr changed!!!', evnt);
								if(evnt.attributeName == "class")
								{ // which attribute you want to watch for changes
									if(evnt.newValue.search(/three/i) >= 0)
									{
										outerContainer.attrchange('disconnect');
										outerContainer.removeClass('three').addClass('two');
										setTimeout(function()
										{
											outerContainer.attrchange('reconnect');
										}, 100);
									}
								}
							}
						});
						outerContainer.attrchange('disconnect');
					}
				}
			}*/

			$(document.body).addClass('ext-on');
			generateBlock();
			checkForEnabledAndGenerateHtml();
		}
	});
});
